#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 z-dns-z-dns-internal
version:              4.1.1
package-name:         dns
lib-name:             dns-internal
id:                   dns-4.1.1-1UL8InC3GA9HAZ4umlrBrj-dns-internal
key:                  dns-4.1.1-1UL8InC3GA9HAZ4umlrBrj-dns-internal
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  088255adc101d39edf671337a35dd5f5
exposed-modules:
    Network.DNS.Base32Hex Network.DNS.Decode.Internal
    Network.DNS.Decode.Parsers Network.DNS.Encode.Builders
    Network.DNS.Encode.Internal Network.DNS.Imports Network.DNS.Memo
    Network.DNS.Resolver.Internal Network.DNS.StateBinary
    Network.DNS.Types.Internal Network.DNS.Types.Resolver

import-dirs:          /usr/lib/ghc-9.4.8/site-local/dns-4.1.1
library-dirs:         /usr/lib/ghc-9.4.8/site-local/dns-4.1.1
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/dns-4.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.1.1-1UL8InC3GA9HAZ4umlrBrj-dns-internal
depends:
    array-0.5.4.0 async-2.2.5-63qhz2egf712xrTPAnr2Zj
    attoparsec-0.14.4-L7VTmm7vDKMCukUYiUxbnG
    auto-update-0.1.6-H9A1MO1ctpPDzm7b54UTPc base-4.17.2.1
    base16-bytestring-1.0.2.0-9mb0Ir84xKMA3I88HOApQp
    base64-bytestring-1.2.1.0-Cj0eto8WUwBEGc4bOF7Sr3
    bytestring-0.11.5.3 case-insensitive-1.2.1.0-LMolnZwpRvW7BfRj8XMS7A
    containers-0.6.7 cryptonite-0.30-HydAyLL1gdu3b98Fbi5D17
    hourglass-0.2.12-FAwH4VOobp2FUAZ2JT4tqw
    iproute-1.7.15-9PlLsde5xGSIXg8OPOSpOX mtl-2.2.2
    network-3.1.4.0-Ghv3vyYrUARFMXgpkYG5Ga
    psqueues-0.2.8.1-K3xU7CkGg6RLoOtCuI1T2C

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 dns
version:              4.1.1
visibility:           public
id:                   dns-4.1.1-AxX9pwM4uK88VQzXLPTGuq
key:                  dns-4.1.1-AxX9pwM4uK88VQzXLPTGuq
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  2c112e694c9a45618e6f48e15f5d3eb2
exposed:              True
exposed-modules:
    Network.DNS Network.DNS.Decode Network.DNS.Encode Network.DNS.IO
    Network.DNS.Lookup Network.DNS.LookupRaw Network.DNS.Resolver
    Network.DNS.Types Network.DNS.Utils

hidden-modules:       Network.DNS.Transport
import-dirs:          /usr/lib/ghc-9.4.8/site-local/dns-4.1.1
library-dirs:         /usr/lib/ghc-9.4.8/site-local/dns-4.1.1
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/dns-4.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.1.1-AxX9pwM4uK88VQzXLPTGuq
depends:
    array-0.5.4.0 async-2.2.5-63qhz2egf712xrTPAnr2Zj
    attoparsec-0.14.4-L7VTmm7vDKMCukUYiUxbnG
    auto-update-0.1.6-H9A1MO1ctpPDzm7b54UTPc base-4.17.2.1
    base16-bytestring-1.0.2.0-9mb0Ir84xKMA3I88HOApQp
    base64-bytestring-1.2.1.0-Cj0eto8WUwBEGc4bOF7Sr3
    bytestring-0.11.5.3 containers-0.6.7
    cryptonite-0.30-HydAyLL1gdu3b98Fbi5D17
    dns-4.1.1-1UL8InC3GA9HAZ4umlrBrj-dns-internal
    hourglass-0.2.12-FAwH4VOobp2FUAZ2JT4tqw
    iproute-1.7.15-9PlLsde5xGSIXg8OPOSpOX mtl-2.2.2
    network-3.1.4.0-Ghv3vyYrUARFMXgpkYG5Ga
    psqueues-0.2.8.1-K3xU7CkGg6RLoOtCuI1T2C

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

